<a href="../../../Readme.md">
<img src="../../../common/back_arrow.png" alt="50" width="50"/>
</a>

# MISC - Miniconda Windows Setup

## Miniconda install

```console
curl https://repo.anaconda.com/miniconda/Miniconda3-latest-Windows-x86_64.exe -o miniconda.exe
Start-Process -FilePath ".\miniconda.exe" -ArgumentList "/S" -Wait
```

```console
del miniconda.exe
```

## Exable Windows scripts execution

```console
Set-ExecutionPolicy RemoteSigned -Scope CurrentUser
```

## Enable conda in Powershell

Open Anaconda PowerShell Prompt
```console
conda init powershell
```

To disable base env auto activation:
```console
conda config --set auto_activate_base false
```


## References
- [Installing Miniconda](https://docs.anaconda.com/miniconda/install/#quick-command-line-install)
- [Enable PowerShell Miniconda](https://stackoverflow.com/questions/64149680/how-can-i-activate-a-conda-environment-from-powershell)